<?php

for ($i=100; $i<8000; $i++){

if($a=curl_init('http://тут сайт.ру/?presents='.$i.'&do&cat=2&gift=94&ok')){

curl_setopt($a,CURLOPT_USERAGENT,$_SERVER['HTTP_USER_AGENT']);

curl_setopt($a,CURLOPT_REFERER,'http://сайт.ру');

curl_setopt($a,CURLOPT_TIMEOUT,600);

curl_setopt($a,CURLOPT_COOKIE,'SESS=сессия');

curl_setopt($a, CURLOPT_RETURNTRANSFER,true);

curl_setopt($a, CURLOPT_POST, true);

curl_setopt($a, CURLOPT_POSTFIELDS, 'msg=Сообщение');

$o=curl_exec($a);

echo 'Отправлено юзеру № '.$i.'!</br>';

curl_close($o);}}

?>